Resets a debicheck mandate to the latest previously completed state.
POST
Bearerheader
Authorization<token>JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
mandateId*stringX-Forwarded-For?stringCreated
application/json- response
referenceNumber?string|nullauthenticationReference?string|nulltrackingPeriod?integerFormat
int32initiationDate?|Format
date-timeauthenticationDate?|Format
date-timevalueType?ValueTypeValue in
"FIXED""VARIABLE""USAGEBASED"debitSequence?DebitSequenceValue in
"FRST""OOFF""RCUR""RPRE"allowDateAdjustment?booleanmaxAmountCents?integerFormat
int64adjustmentCategory?AdjustmentCategoryValue in
"NEVER""QUARTERLY""BIANNUALLY""ANNUALLY""REPO"adjustmentAmountCents?|Format
int64adjustmentRate?|Format
decimallastSuccessfulAuditId?|Format
uuidauthenticationType?AuthenticationTypeValue in
"REALTIME""DELAYED""DELAYED_WITHOUT_AUTH"realtimeAuthRetries?integerFormat
int32doDelayedOnAuthFailure?booleanfallbackAuthenticationType?AuthenticationTypeValue in
"REALTIME""DELAYED""DELAYED_WITHOUT_AUTH"overrideCreditorName?string|nullfirstCollectionDate?|Format
date-timefirstCollectionAmountCents?|Format
int64id?string|nullexternalReference?string|nullprofileCode?string|nullabbreviatedName?string|nullcontractReference?string|nulldebtor?creditor?state?MandateStateValue in
"NEW""QUEUED""SUBMITTED""ACCEPTED""COMPLETED""VALIDATION_FAILURE""AUTH_FAILURE""INTERNAL_FAILURE""PENDING_RT_AUTH""CUTOFF"releaseDate?|Format
date-timefrequency?FrequencyValue in
"MONTHLY""WEEKLY""FORTNIGHTLY""QUARTERLY""BIANNUALLY""ADHOC""YEARLY"entryClass?string|nullcollectionDay?integerFormat
int32amountCents?|Format
int64ultimateCreditor?currency?string|nullautoCollect?booleanverifyAccount?booleanvalidateAccount?booleancreatedAt?stringFormat
date-timeclientId?string|nullbulkUploadId?|Format
uuidcurl -X POST 'https://www.api.revio.co.za/v2/mandate/debicheck/string/reset'Example Response
{ "referenceNumber": "string", "authenticationReference": "string", "trackingPeriod": 0, "initiationDate": "2019-08-24T14:15:22Z", "authenticationDate": "2019-08-24T14:15:22Z", "valueType": "FIXED", "debitSequence": "FRST", "allowDateAdjustment": true, "maxAmountCents": 0, "adjustmentCategory": "NEVER", "adjustmentAmountCents": 0, "adjustmentRate": 0, "lastSuccessfulAuditId": "6becd09f-827b-41d1-867d-0144f4552ab4", "authenticationType": "REALTIME", "realtimeAuthRetries": 0, "doDelayedOnAuthFailure": true, "fallbackAuthenticationType": "REALTIME", "overrideCreditorName": "string", "firstCollectionDate": "2019-08-24T14:15:22Z", "firstCollectionAmountCents": 0, "id": "string", "externalReference": "string", "profileCode": "string", "abbreviatedName": "string", "contractReference": "string", "debtor": { "accountNumber": "string", "accountType": "CURRENT", "bank": "string", "branchCode": "string", "firstName": "string", "lastName": "string", "identification": { "emailAddress": "string", "idNumber": "string", "phoneNumber": "string", "passportNumber": "string" } }, "creditor": { "accountNumber": "string", "accountType": "CURRENT", "branchCode": "string", "name": "string", "bank": "string", "phoneNumber": "string", "emailAddress": "string", "idNumber": "string" }, "state": "NEW", "releaseDate": "2019-08-24T14:15:22Z", "frequency": "MONTHLY", "entryClass": "string", "collectionDay": 0, "amountCents": 0, "ultimateCreditor": { "accountNumber": "string", "accountType": "CURRENT", "branchCode": "string", "name": "string", "bank": "string", "phoneNumber": "string", "emailAddress": "string", "idNumber": "string" }, "currency": "string", "autoCollect": true, "verifyAccount": true, "validateAccount": true, "createdAt": "2019-08-24T14:15:22Z", "clientId": "string", "bulkUploadId": "42e0fc60-487e-4aa1-9223-1fd9ecaeff6a"}